---
title: WebGLRenderingContext.getShaderPrecisionFormat()
slug: Web/API/WebGLRenderingContext/getShaderPrecisionFormat
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p class="summary">The <strong><code>WebGLRenderingContext.getShaderPrecisionFormat()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns a new {{domxref("WebGLShaderPrecisionFormat")}} object describing the range and precision for the specified shader numeric format.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">WebGLShaderPrecisionFormat <var><em>gl</em>.</var>getShaderPrecisionFormat<var>(shaderType, precisionType);</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>shaderType</code></dt>
 <dd>Either a <code>gl.FRAGMENT_SHADER</code> or a <code>gl.VERTEX_SHADER</code>.</dd>
 <dt><code>precisionType</code></dt>
 <dd>A precision type value. Either <code>gl.LOW_FLOAT</code>, <code>gl.MEDIUM_FLOAT</code>, <code>gl.HIGH_FLOAT</code>, <code>gl.LOW_INT</code>, <code>gl.MEDIUM_INT</code>, or <code>gl.HIGH_INT</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLShaderPrecisionFormat")}} object or <code>null</code>, if an error occurs.</p>

<h3 id="Exceptions">Exceptions</h3>

<ul>
 <li><code>gl.INVALID_ENUM</code> if the shader or precision types aren't recognized.</li>
 <li><code>gl.INVALID_OPERATION</code> if the shader compiler isn't supported.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>The following code gets the precision format of a <code>gl.VERTEX_SHADER</code> with a <code>gl.MEDIUM_FLOAT</code> precision type.</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');

gl.getShaderPrecisionFormat(gl.VERTEX_SHADER, gl.MEDIUM_FLOAT);
// WebGLShaderPrecisionFormat { rangeMin: 127, rangeMax: 127, precision: 23 }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.9", "getShaderPrecisionFormat")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetShaderPrecisionFormat.xml", "glGetShaderPrecisionFormat")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getShaderPrecisionFormat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLShaderPrecisionFormat")}}</li>
</ul>
